Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
List or search flows within a project utilizing a management key.
This endpoint is used to list or search flows within a project.
To list all flows, send an empty body such as: { } or { "ids": [] }.
To search for a flow or several flows, send a body with the flowIds you want to search such as { "ids": ["sign-in"] } or { "ids": ["sign-in", "sign-up"] }.
See Also
- See Flow Overview for more information on flows.
- See Manage Flows for more information on managing (export, import, delete, disable, enable) flows.
curl -X POST "https://api.descope.com/v1/mgmt/flow/list" \ -H "Content-Type: application/json" \ -d '{}'{ "flows": [ { "id": "string", "version": 0, "name": "string", "description": "string", "dsl": {}, "modifiedTime": "string", "etag": "string", "disabled": true, "translate": true, "translateConnectorID": "string", "translateSourceLang": "string", "translateTargetLangs": [ "string" ], "fingerprint": true, "widget": true, "sharedInteractions": [ { "id": "string", "type": "string", "label": "string", "icon": "string", "subType": "string" } ], "management": true, "managementConfig": { "triggers": { "enabled": true, "triggerType": "string", "eventTriggers": { "triggeringEventTypes": [ "string" ] } } }, "referencesGlobalStrings": true } ], "total": 0}export interface Response {flows?: {id?: stringversion?: numbername?: stringdescription?: stringdsl?: {}modifiedTime?: stringetag?: stringdisabled?: booleantranslate?: booleantranslateConnectorID?: stringtranslateSourceLang?: stringtranslateTargetLangs?: string[]fingerprint?: booleanwidget?: booleansharedInteractions?: {id?: stringtype?: stringlabel?: stringicon?: stringsubType?: string}[]management?: booleanmanagementConfig?: {triggers?: ManagementConfigTriggers}referencesGlobalStrings?: boolean}[]total?: number}export interface ManagementConfigTriggers {enabled?: booleantriggerType?: stringeventTriggers?: ManagementConfigEventTriggers}export interface ManagementConfigEventTriggers {triggeringEventTypes?: string[]}Flow and Style Management API Overview
Use the Descope API to manage your project's flows and styles with a management key.
Export Flow POST
### Export an existing flow from a project utilizing a management key. This endpoint is used to export an existing flow from a project. The response is the JSON which includes the flow and associated screens. ### See Also - See [Flow Overview](/customize/flows/) for more information on flows. - See [Manage Flows](/customize/manage_flows/) for more information on managing (export, import, delete, disable, enable) flows.